﻿using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;

namespace PrintPreviewExample
{
    /// <summary>
    /// Interaktionslogik für PrintPreview.xaml
    /// </summary>
    public partial class PrintPreview : Window
    {
        public PrintPreview()
        {
            InitializeComponent();
            Owner = Application.Current.MainWindow;
            ContentRendered += (s, e) =>
            {
                if (FindName("DocumentViewer") is DocumentViewer dv)
                    dv.Document = new FixedDocumentSequence();
            };
        }
    }
}
